Bug 8227 - Remove compile time warning from C4::Serials
Summary: Remove compile time warning from C4::Serials
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low minor (vote)
Assignee: Colin Campbell
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-11 10:32 UTC by Colin Campbell
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.05 KB, patch)
2012-06-11 10:45 UTC, Colin Campbell
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8227 Fix deprecated construct compile time warning in Serials (1.11 KB, patch)
2012-06-12 08:39 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-06-11 10:32:34 UTC
C4::Serials issues a depreciation warning over the use of qw(...) as parentheses

In earlier perl code qw( ... ) was assumed to be equivalent to ( qw( ... ) ) since 5.14 this is no longer the case and different code is generated. perl 5.14.2 and 5.16.0 issue warnings and this will become an error in later perls
Comment 1 Colin Campbell 2012-06-11 10:45:05 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2012-06-12 08:39:38 UTC
Created attachment 10246 [details] [review]
[SIGNED-OFF] Bug 8227 Fix deprecated construct compile time warning in Serials

On master:
$ perl -cw C4/Serials.pm
Use of qw(...) as parentheses is deprecated at C4/Serials.pm line 604.
C4/Serials.pm syntax OK

With patch:
$ perl -cw C4/Serials.pm
C4/Serials.pm syntax OK

Signed off
Comment 3 Jonathan Druart 2012-06-12 09:05:21 UTC
Removes warning from C4/Serials.pm
Marking as Passed QA
Comment 4 Paul Poulain 2012-06-20 08:39:06 UTC
not worth backporting to 3.8 but, chris_c, that's your final decision !
Comment 5 Jared Camins-Esakov 2012-12-31 01:11:18 UTC
There have been no further reports of problems so I am marking this bug resolved.